Latest Updates....Few issues

Hello

I applied the latest batch of updates yesterday and when finished all seemed well however on viewing CDR Reports on both my primary and secondary (that received all updates) I am finding the footer at the bottom is sitting on top of the last few lines of a report cutting off some data.

Also, I have started to receive the error (via email):

sh: lscpu command not found

which is being generated from /var/lib/asterisk/freepbx-cron-scheduler.php

I’ve never seen the above before, can anyone advise?

Thanks

FreePBX 2.11.0.12
Asterisk 1.8
Firmware - 1.89.210.57-2

The CDR issue where records are being cut off at the bottom should be resolved shortly. Sorry about that.

having a similar problem after running updates yesterday also… The Apply Config button did not appear after the updates and now i do not have access to the Admin GUI

hlusher,
If you don’t have access to the Admin GUI that’s something else entirely. Are you able to hit the web gui or does the gui not show?

I just ran the latest updates as well. My problem is that the links do not work. The dropdown menu appears but the link itself wont do anything. we have about 10 machines and we tested on 2 and same problem with both. All modules are upto date but we can’t navigate!

the GUI comes up… but cannot navigate to any of the menu options. Same as
JoshRowe4905

What do you mean links do not work. I am confused on what you are describing since you hijacked a thread about a footer problem.

Please attach or post links to screenshots as we are not following what you are stating.

I ran amportal a debug… see below

[FPBXDBUGDISABLE] already set to [0]

==> /var/log/asterisk/freepbx_dbug <==

2014-Jan-10 09:24:48 /var/www/html/admin/functions.inc.php:403
[WARNING]: version_compare() expects parameter 1 to be string, array given

2014-Jan-10 09:25:00 /var/www/html/admin/modules/fax/functions.inc.php:31
[NOTICE]: Undefined variable: version

2014-Jan-10 09:25:03 /var/www/html/admin/functions.inc.php:403
[WARNING]: version_compare() expects parameter 1 to be string, array given

==> /var/log/httpd/error_log <==
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found
sh: lscpu: command not found

Those logs are just warning. None of those are errors. We need screenshots on what you are seeing as we can not replicate the issue.

Also what Distro and version are you using and what version of PHP do you have. Please provide this information to allow us to help you.

Asterisk 11.3.0 built by palosanto @ rpmbuild64-2.elastix.palosanto.com on a x86_64

how do I attach a screenshot?

See attached screenshot… If i was to click on any of the menu items, the dropdown menu would appear but nothing happens when the selection is made. This just started after the modules were updated…

Well last I knew Elastix did not support 2.11 on any of their stable builds and I know they use php 5.1 that was End Of life over 5 years ago. 2.11 highly recommends php 5.3 and can result in issues like this if you do not have 5.3

How do I run the php 5.3 update?

You don’t need to if you use a “real” distro, in your case you will have to ask the guys who built your distro.

To fix this on Elastix, please login via SSH and run the following:

amportal a ma update framework

Then go back to the GUI and try again.

Here is a full wiki otherwise on how to update a module from the CLI.

http://wiki.freepbx.org/display/L1/Upgrading+a+FreePBX+Module+from+the+CLI